RubyGems Navigation menu

rubysspi 1.3.1

This gem provides bindings to the Win32 SSPI libraries, primarily to support Negotiate (i.e. SPNEGO, NTLM) authentication with a proxy server. Enough support is implemented to provide the necessary support for the authentication. A module is also provided which overrides Net::HTTP and adds support for Negotiate authentication to it. This implies that open-uri automatically gets support for it, as long as the http_proxy environment variable is set.

Versiones:

  1. 1.3.1 - January 28, 2009 (20 KB)
  2. 1.3 - December 08, 2008 (20 KB)
  3. 1.2.4 - August 01, 2008 (20 KB)
  4. 1.2.3 - July 10, 2007 (20 KB)
  5. 1.2.2 - March 12, 2007 (10 KB)
Muestra todas las versiones (12 total)

Autores:

  • Justin Bailey

Administradores:

573b9499030e1ccb867ef80f0ff1ac49

SHA 256 checksum:

d45b3077993b9c9eccd078e2246b37342793f11ba7f8fafa3b59e482a4a161bb

Total downloads 30.413

Para esta versión 9.599

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Licencia:

N/D

Required Ruby Version: None

Enlaces: